﻿using UnityEngine;
using System.Collections;

// Made specifically for the player object
// This is used anywhere ingame aswell as in character creation
public class setAppearance : MonoBehaviour {
	// HEADS
	public Sprite headOption1; // default
	public Sprite headOption2;
	// FACES
	public Sprite faceOption1; //default
	public Sprite faceOption2;
	// LEGS
	public Sprite legOption1; //default
	public Sprite legOption2;
	// note: bodies do not go here, this is character customization

	private Sprite curFace;
	private Sprite curHead;
	private Sprite curLegs;

	private GameObject head;
	private GameObject face;
	private GameObject body;
	private GameObject legR; // looking AT the player right
	private GameObject legL; // looking AT the player left
	private GameObject arm;


	void Start () {
		face = transform.FindChild("face").gameObject;
		head = transform.FindChild("head").gameObject;
		legR = transform.FindChild("legR").gameObject;
		legL = transform.FindChild("legL").gameObject;
		curFace = faceOption1;
		curHead = headOption1;
		curLegs = legOption1;
		updateAppearance ();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void updateAppearance(){
		face.GetComponent<SpriteRenderer> ().sprite = curFace;
		head.GetComponent<SpriteRenderer> ().sprite = curHead;
		legR.GetComponent<SpriteRenderer> ().sprite = curLegs; // two legs, do twice
		legL.GetComponent<SpriteRenderer> ().sprite = curLegs;
	}
}
